petsc-3.12.4 2020-02-04
Report Typos and Errors

# PCGAMGFilterGraph

filter (remove zero and possibly small values from the) graph and make it symmetric if requested

### Synopsis

    #include "petscpc.h"
    PetscErrorCode PCGAMGFilterGraph(Mat *a_Gmat,PetscReal vfilter,PetscBool symm)

Collective on Mat

### Input Parameter

| a_Gmat | - the graph
| vfilter | - threshold paramter [0,1)
| symm | - make the result symmetric

### Notes

This is called before graph coarsers are called.

### See Also

PCGAMGSetThreshold()

### Level

developer

### Location

src/ksp/pc/impls/gamg/util.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages